package keskustelubotti;

/**
 * Hienostelevan turha rajapinta, joka botin kyttliittymn tytyy toteuttaa.
 * Sislt metodit, joita botti kutsuu kun sill on asiaa.
 *
 * @author Samuli Kaipiainen
 * @version 0.1
 */

public interface BottiUI
{
	/**
	 * Botti kutsuu sano-metodia, kun se haluaa sanoa jotain normaalina keskusteluna.
	 *
	 * @param kuka Botin nimi
	 * @param mit Botin sanottava
	 */
	public void sano(String kuka, String mit);

	/**
	 * Botti kutsuu ajattele-metodia, kun sill on jotain debug-tapaista pohdittavaa.
	 *
	 * @param mit Botin pohdinta
	 */
	public void ajattele(String mit);
}
